<?php
if (session_id() == "") session_start(); // Init session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg14.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql14.php") ?>
<?php include_once "phpfn14.php" ?>
<?php include_once "tanam_bibitinfo.php" ?>
<?php include_once "employeesinfo.php" ?>
<?php include_once "userfn14.php" ?>
<?php

//
// Page class
//

$tanam_bibit_delete = NULL; // Initialize page object first

class ctanam_bibit_delete extends ctanam_bibit {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = '{CC60B42B-604B-412A-B014-2315920AF6AA}';

	// Table name
	var $TableName = 'tanam_bibit';

	// Page object name
	var $PageObjName = 'tanam_bibit_delete';

	// Page headings
	var $Heading = '';
	var $Subheading = '';

	// Page heading
	function PageHeading() {
		global $Language;
		if ($this->Heading <> "")
			return $this->Heading;
		if (method_exists($this, "TableCaption"))
			return $this->TableCaption();
		return "";
	}

	// Page subheading
	function PageSubheading() {
		global $Language;
		if ($this->Subheading <> "")
			return $this->Subheading;
		if ($this->TableName)
			return $Language->Phrase($this->PageID);
		return "";
	}

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		global $UserTable, $UserTableConn;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tanam_bibit)
		if (!isset($GLOBALS["tanam_bibit"]) || get_class($GLOBALS["tanam_bibit"]) == "ctanam_bibit") {
			$GLOBALS["tanam_bibit"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tanam_bibit"];
		}

		// Table object (employees)
		if (!isset($GLOBALS['employees'])) $GLOBALS['employees'] = new cemployees();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tanam_bibit', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"]))
			$GLOBALS["gTimer"] = new cTimer();

		// Debug message
		ew_LoadDebugMsg();

		// Open connection
		if (!isset($conn))
			$conn = ew_Connect($this->DBID);

		// User table object (employees)
		if (!isset($UserTable)) {
			$UserTable = new cemployees();
			$UserTableConn = Conn($UserTable->DBID);
		}
	}

	//
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// User profile
		$UserProfile = new cUserProfile();

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loading();
		$Security->LoadCurrentUserLevel($this->ProjectID . $this->TableName);
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loaded();
		if (!$Security->CanDelete()) {
			$Security->SaveLastUrl();
			$this->setFailureMessage(ew_DeniedMsg()); // Set no permission
			if ($Security->CanList())
				$this->Page_Terminate(ew_GetUrl("tanam_bibitlist.php"));
			else
				$this->Page_Terminate(ew_GetUrl("login.php"));
		}

		// NOTE: Security object may be needed in other part of the script, skip set to Nothing
		// 
		// Security = null;
		// 

		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action
		$this->id->SetVisibility();
		if ($this->IsAdd() || $this->IsCopy() || $this->IsGridAdd())
			$this->id->Visible = FALSE;
		$this->tgl_tanam->SetVisibility();
		$this->jenis_lahan->SetVisibility();
		$this->varietas->SetVisibility();
		$this->jumlah_tanam->SetVisibility();
		$this->ket->SetVisibility();
		$this->id_kontrak_tanam->SetVisibility();
		$this->gen_bibit->SetVisibility();
		$this->id_asal_bibit->SetVisibility();
		$this->jumlah_panen_stek->SetVisibility();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $tanam_bibit;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($tanam_bibit);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		// Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			ew_SaveDebugMsg();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $StartRec;
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $StartRowCnt = 1;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("tanam_bibitlist.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in tanam_bibit class, tanam_bibitinfo.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} elseif (@$_GET["a_delete"] == "1") {
			$this->CurrentAction = "D"; // Delete record directly
		} else {
			$this->CurrentAction = "I"; // Display record
		}
		if ($this->CurrentAction == "D") {
			$this->SendEmail = TRUE; // Send email on delete success
			if ($this->DeleteRows()) { // Delete rows
				if ($this->getSuccessMessage() == "")
					$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			} else { // Delete failed
				$this->CurrentAction = "I"; // Display record
			}
		}
		if ($this->CurrentAction == "I") { // Load records for display
			if ($this->Recordset = $this->LoadRecordset())
				$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
			if ($this->TotalRecs <= 0) { // No record found, exit
				if ($this->Recordset)
					$this->Recordset->Close();
				$this->Page_Terminate("tanam_bibitlist.php"); // Return to list
			}
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {

		// Load List page SQL
		$sSql = $this->ListSQL();
		$conn = &$this->Connection();

		// Load recordset
		$dbtype = ew_GetConnectionType($this->DBID);
		if ($this->UseSelectLimit) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			if ($dbtype == "MSSQL") {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset, array("_hasOrderBy" => trim($this->getOrderBy()) || trim($this->getSessionOrderBy())));
			} else {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset);
			}
			$conn->raiseErrorFn = '';
		} else {
			$rs = ew_LoadRecordset($sSql, $conn);
		}

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues($rs = NULL) {
		if ($rs && !$rs->EOF)
			$row = $rs->fields;
		else
			$row = $this->NewRow(); 

		// Call Row Selected event
		$this->Row_Selected($row);
		if (!$rs || $rs->EOF)
			return;
		$this->id->setDbValue($row['id']);
		$this->tgl_tanam->setDbValue($row['tgl_tanam']);
		$this->jenis_lahan->setDbValue($row['jenis_lahan']);
		$this->varietas->setDbValue($row['varietas']);
		$this->jumlah_tanam->setDbValue($row['jumlah_tanam']);
		$this->ket->setDbValue($row['ket']);
		$this->id_kontrak_tanam->setDbValue($row['id_kontrak_tanam']);
		$this->gen_bibit->setDbValue($row['gen_bibit']);
		$this->id_asal_bibit->setDbValue($row['id_asal_bibit']);
		$this->jumlah_panen_stek->setDbValue($row['jumlah_panen_stek']);
	}

	// Return a row with default values
	function NewRow() {
		$row = array();
		$row['id'] = NULL;
		$row['tgl_tanam'] = NULL;
		$row['jenis_lahan'] = NULL;
		$row['varietas'] = NULL;
		$row['jumlah_tanam'] = NULL;
		$row['ket'] = NULL;
		$row['id_kontrak_tanam'] = NULL;
		$row['gen_bibit'] = NULL;
		$row['id_asal_bibit'] = NULL;
		$row['jumlah_panen_stek'] = NULL;
		return $row;
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF)
			return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->id->DbValue = $row['id'];
		$this->tgl_tanam->DbValue = $row['tgl_tanam'];
		$this->jenis_lahan->DbValue = $row['jenis_lahan'];
		$this->varietas->DbValue = $row['varietas'];
		$this->jumlah_tanam->DbValue = $row['jumlah_tanam'];
		$this->ket->DbValue = $row['ket'];
		$this->id_kontrak_tanam->DbValue = $row['id_kontrak_tanam'];
		$this->gen_bibit->DbValue = $row['gen_bibit'];
		$this->id_asal_bibit->DbValue = $row['id_asal_bibit'];
		$this->jumlah_panen_stek->DbValue = $row['jumlah_panen_stek'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// id
		// tgl_tanam
		// jenis_lahan
		// varietas
		// jumlah_tanam
		// ket
		// id_kontrak_tanam
		// gen_bibit
		// id_asal_bibit
		// jumlah_panen_stek

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// id
		$this->id->ViewValue = $this->id->CurrentValue;
		$this->id->ViewCustomAttributes = "";

		// tgl_tanam
		$this->tgl_tanam->ViewValue = $this->tgl_tanam->CurrentValue;
		$this->tgl_tanam->ViewValue = ew_FormatDateTime($this->tgl_tanam->ViewValue, 0);
		$this->tgl_tanam->ViewCustomAttributes = "";

		// jenis_lahan
		if (strval($this->jenis_lahan->CurrentValue) <> "") {
			$sFilterWrk = "`jenis_lahan_bibit`" . ew_SearchString("=", $this->jenis_lahan->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `jenis_lahan_bibit`, `jenis_lahan_bibit` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `jenis_lahan_bibit`";
		$sWhereWrk = "";
		$this->jenis_lahan->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->jenis_lahan, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->jenis_lahan->ViewValue = $this->jenis_lahan->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->jenis_lahan->ViewValue = $this->jenis_lahan->CurrentValue;
			}
		} else {
			$this->jenis_lahan->ViewValue = NULL;
		}
		$this->jenis_lahan->ViewCustomAttributes = "";

		// varietas
		if (strval($this->varietas->CurrentValue) <> "") {
			$sFilterWrk = "`var_id`" . ew_SearchString("=", $this->varietas->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `var_id`, `var_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `varietas`";
		$sWhereWrk = "";
		$this->varietas->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->varietas, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->varietas->ViewValue = $this->varietas->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->varietas->ViewValue = $this->varietas->CurrentValue;
			}
		} else {
			$this->varietas->ViewValue = NULL;
		}
		$this->varietas->ViewCustomAttributes = "";

		// jumlah_tanam
		$this->jumlah_tanam->ViewValue = $this->jumlah_tanam->CurrentValue;
		$this->jumlah_tanam->ViewValue = ew_FormatNumber($this->jumlah_tanam->ViewValue, 0, -1, 0, 0);
		$this->jumlah_tanam->ViewCustomAttributes = "";

		// ket
		$this->ket->ViewValue = $this->ket->CurrentValue;
		$this->ket->ViewCustomAttributes = "";

		// id_kontrak_tanam
		if (strval($this->id_kontrak_tanam->CurrentValue) <> "") {
			$sFilterWrk = "`k_id_kontrak`" . ew_SearchString("=", $this->id_kontrak_tanam->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `k_id_kontrak`, `k_id_kontrak` AS `DispFld`, `k_tgl_tanam` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `kontrak`";
		$sWhereWrk = "";
		$this->id_kontrak_tanam->LookupFilters = array("df2" => "5");
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->id_kontrak_tanam, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `k_id_kontrak` DESC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = ew_FormatDateTime($rswrk->fields('Disp2Fld'), 5);
				$this->id_kontrak_tanam->ViewValue = $this->id_kontrak_tanam->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->id_kontrak_tanam->ViewValue = $this->id_kontrak_tanam->CurrentValue;
			}
		} else {
			$this->id_kontrak_tanam->ViewValue = NULL;
		}
		$this->id_kontrak_tanam->ViewCustomAttributes = "";

		// gen_bibit
		if (strval($this->gen_bibit->CurrentValue) <> "") {
			$sFilterWrk = "`id_gen`" . ew_SearchString("=", $this->gen_bibit->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `id_gen`, `id_gen` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `generasi_bibit`";
		$sWhereWrk = "";
		$this->gen_bibit->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->gen_bibit, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->gen_bibit->ViewValue = $this->gen_bibit->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->gen_bibit->ViewValue = $this->gen_bibit->CurrentValue;
			}
		} else {
			$this->gen_bibit->ViewValue = NULL;
		}
		$this->gen_bibit->ViewCustomAttributes = "";

		// id_asal_bibit
		if (strval($this->id_asal_bibit->CurrentValue) <> "") {
			$sFilterWrk = "`id`" . ew_SearchString("=", $this->id_asal_bibit->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `id`, `id` AS `DispFld`, `tgl_tanam` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tanam_bibit`";
		$sWhereWrk = "";
		$this->id_asal_bibit->LookupFilters = array("df2" => "0");
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->id_asal_bibit, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `id` DESC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = ew_FormatDateTime($rswrk->fields('Disp2Fld'), 0);
				$this->id_asal_bibit->ViewValue = $this->id_asal_bibit->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->id_asal_bibit->ViewValue = $this->id_asal_bibit->CurrentValue;
			}
		} else {
			$this->id_asal_bibit->ViewValue = NULL;
		}
		$this->id_asal_bibit->ViewValue = ew_FormatDateTime($this->id_asal_bibit->ViewValue, 5);
		$this->id_asal_bibit->ViewCustomAttributes = "";

		// jumlah_panen_stek
		$this->jumlah_panen_stek->ViewValue = $this->jumlah_panen_stek->CurrentValue;
		$this->jumlah_panen_stek->ViewCustomAttributes = "";

			// id
			$this->id->LinkCustomAttributes = "";
			$this->id->HrefValue = "";
			$this->id->TooltipValue = "";

			// tgl_tanam
			$this->tgl_tanam->LinkCustomAttributes = "";
			$this->tgl_tanam->HrefValue = "";
			$this->tgl_tanam->TooltipValue = "";

			// jenis_lahan
			$this->jenis_lahan->LinkCustomAttributes = "";
			$this->jenis_lahan->HrefValue = "";
			$this->jenis_lahan->TooltipValue = "";

			// varietas
			$this->varietas->LinkCustomAttributes = "";
			$this->varietas->HrefValue = "";
			$this->varietas->TooltipValue = "";

			// jumlah_tanam
			$this->jumlah_tanam->LinkCustomAttributes = "";
			$this->jumlah_tanam->HrefValue = "";
			$this->jumlah_tanam->TooltipValue = "";

			// ket
			$this->ket->LinkCustomAttributes = "";
			$this->ket->HrefValue = "";
			$this->ket->TooltipValue = "";

			// id_kontrak_tanam
			$this->id_kontrak_tanam->LinkCustomAttributes = "";
			$this->id_kontrak_tanam->HrefValue = "";
			$this->id_kontrak_tanam->TooltipValue = "";

			// gen_bibit
			$this->gen_bibit->LinkCustomAttributes = "";
			$this->gen_bibit->HrefValue = "";
			$this->gen_bibit->TooltipValue = "";

			// id_asal_bibit
			$this->id_asal_bibit->LinkCustomAttributes = "";
			$this->id_asal_bibit->HrefValue = "";
			$this->id_asal_bibit->TooltipValue = "";

			// jumlah_panen_stek
			$this->jumlah_panen_stek->LinkCustomAttributes = "";
			$this->jumlah_panen_stek->HrefValue = "";
			$this->jumlah_panen_stek->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $Language, $Security;
		if (!$Security->CanDelete()) {
			$this->setFailureMessage($Language->Phrase("NoDeletePermission")); // No delete permission
			return FALSE;
		}
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;
		}
		$rows = ($rs) ? $rs->GetRows() : array();
		$conn->BeginTrans();

		// Clone old rows
		$rsold = $rows;
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['id'];

				// Delete old files
				$this->LoadDbValues($row);
				$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		}
		if (!$DeleteRows) {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("tanam_bibitlist.php"), "", $this->TableVar, TRUE);
		$PageId = "delete";
		$Breadcrumb->Add("delete", $PageId, $url);
	}

	// Setup lookup filters of a field
	function SetupLookupFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		}
	}

	// Setup AutoSuggest filters of a field
	function SetupAutoSuggestFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tanam_bibit_delete)) $tanam_bibit_delete = new ctanam_bibit_delete();

// Page init
$tanam_bibit_delete->Page_Init();

// Page main
$tanam_bibit_delete->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$tanam_bibit_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "delete";
var CurrentForm = ftanam_bibitdelete = new ew_Form("ftanam_bibitdelete", "delete");

// Form_CustomValidate event
ftanam_bibitdelete.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid.
 	return true;
 }

// Use JavaScript validation or not
ftanam_bibitdelete.ValidateRequired = <?php echo json_encode(EW_CLIENT_VALIDATE) ?>;

// Dynamic selection lists
ftanam_bibitdelete.Lists["x_jenis_lahan"] = {"LinkField":"x_jenis_lahan_bibit","Ajax":true,"AutoFill":false,"DisplayFields":["x_jenis_lahan_bibit","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"jenis_lahan_bibit"};
ftanam_bibitdelete.Lists["x_jenis_lahan"].Data = "<?php echo $tanam_bibit_delete->jenis_lahan->LookupFilterQuery(FALSE, "delete") ?>";
ftanam_bibitdelete.Lists["x_varietas"] = {"LinkField":"x_var_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_var_nama","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"varietas"};
ftanam_bibitdelete.Lists["x_varietas"].Data = "<?php echo $tanam_bibit_delete->varietas->LookupFilterQuery(FALSE, "delete") ?>";
ftanam_bibitdelete.Lists["x_id_kontrak_tanam"] = {"LinkField":"x_k_id_kontrak","Ajax":true,"AutoFill":false,"DisplayFields":["x_k_id_kontrak","x_k_tgl_tanam","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"kontrak"};
ftanam_bibitdelete.Lists["x_id_kontrak_tanam"].Data = "<?php echo $tanam_bibit_delete->id_kontrak_tanam->LookupFilterQuery(FALSE, "delete") ?>";
ftanam_bibitdelete.Lists["x_gen_bibit"] = {"LinkField":"x_id_gen","Ajax":true,"AutoFill":false,"DisplayFields":["x_id_gen","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"generasi_bibit"};
ftanam_bibitdelete.Lists["x_gen_bibit"].Data = "<?php echo $tanam_bibit_delete->gen_bibit->LookupFilterQuery(FALSE, "delete") ?>";
ftanam_bibitdelete.Lists["x_id_asal_bibit"] = {"LinkField":"x_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_id","x_tgl_tanam","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"tanam_bibit"};
ftanam_bibitdelete.Lists["x_id_asal_bibit"].Data = "<?php echo $tanam_bibit_delete->id_asal_bibit->LookupFilterQuery(FALSE, "delete") ?>";

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php $tanam_bibit_delete->ShowPageHeader(); ?>
<?php
$tanam_bibit_delete->ShowMessage();
?>
<form name="ftanam_bibitdelete" id="ftanam_bibitdelete" class="form-inline ewForm ewDeleteForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($tanam_bibit_delete->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $tanam_bibit_delete->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="tanam_bibit">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($tanam_bibit_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="box ewBox ewGrid">
<div class="<?php if (ew_IsResponsiveLayout()) { ?>table-responsive <?php } ?>ewGridMiddlePanel">
<table class="table ewTable">
	<thead>
	<tr class="ewTableHeader">
<?php if ($tanam_bibit->id->Visible) { // id ?>
		<th class="<?php echo $tanam_bibit->id->HeaderCellClass() ?>"><span id="elh_tanam_bibit_id" class="tanam_bibit_id"><?php echo $tanam_bibit->id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($tanam_bibit->tgl_tanam->Visible) { // tgl_tanam ?>
		<th class="<?php echo $tanam_bibit->tgl_tanam->HeaderCellClass() ?>"><span id="elh_tanam_bibit_tgl_tanam" class="tanam_bibit_tgl_tanam"><?php echo $tanam_bibit->tgl_tanam->FldCaption() ?></span></th>
<?php } ?>
<?php if ($tanam_bibit->jenis_lahan->Visible) { // jenis_lahan ?>
		<th class="<?php echo $tanam_bibit->jenis_lahan->HeaderCellClass() ?>"><span id="elh_tanam_bibit_jenis_lahan" class="tanam_bibit_jenis_lahan"><?php echo $tanam_bibit->jenis_lahan->FldCaption() ?></span></th>
<?php } ?>
<?php if ($tanam_bibit->varietas->Visible) { // varietas ?>
		<th class="<?php echo $tanam_bibit->varietas->HeaderCellClass() ?>"><span id="elh_tanam_bibit_varietas" class="tanam_bibit_varietas"><?php echo $tanam_bibit->varietas->FldCaption() ?></span></th>
<?php } ?>
<?php if ($tanam_bibit->jumlah_tanam->Visible) { // jumlah_tanam ?>
		<th class="<?php echo $tanam_bibit->jumlah_tanam->HeaderCellClass() ?>"><span id="elh_tanam_bibit_jumlah_tanam" class="tanam_bibit_jumlah_tanam"><?php echo $tanam_bibit->jumlah_tanam->FldCaption() ?></span></th>
<?php } ?>
<?php if ($tanam_bibit->ket->Visible) { // ket ?>
		<th class="<?php echo $tanam_bibit->ket->HeaderCellClass() ?>"><span id="elh_tanam_bibit_ket" class="tanam_bibit_ket"><?php echo $tanam_bibit->ket->FldCaption() ?></span></th>
<?php } ?>
<?php if ($tanam_bibit->id_kontrak_tanam->Visible) { // id_kontrak_tanam ?>
		<th class="<?php echo $tanam_bibit->id_kontrak_tanam->HeaderCellClass() ?>"><span id="elh_tanam_bibit_id_kontrak_tanam" class="tanam_bibit_id_kontrak_tanam"><?php echo $tanam_bibit->id_kontrak_tanam->FldCaption() ?></span></th>
<?php } ?>
<?php if ($tanam_bibit->gen_bibit->Visible) { // gen_bibit ?>
		<th class="<?php echo $tanam_bibit->gen_bibit->HeaderCellClass() ?>"><span id="elh_tanam_bibit_gen_bibit" class="tanam_bibit_gen_bibit"><?php echo $tanam_bibit->gen_bibit->FldCaption() ?></span></th>
<?php } ?>
<?php if ($tanam_bibit->id_asal_bibit->Visible) { // id_asal_bibit ?>
		<th class="<?php echo $tanam_bibit->id_asal_bibit->HeaderCellClass() ?>"><span id="elh_tanam_bibit_id_asal_bibit" class="tanam_bibit_id_asal_bibit"><?php echo $tanam_bibit->id_asal_bibit->FldCaption() ?></span></th>
<?php } ?>
<?php if ($tanam_bibit->jumlah_panen_stek->Visible) { // jumlah_panen_stek ?>
		<th class="<?php echo $tanam_bibit->jumlah_panen_stek->HeaderCellClass() ?>"><span id="elh_tanam_bibit_jumlah_panen_stek" class="tanam_bibit_jumlah_panen_stek"><?php echo $tanam_bibit->jumlah_panen_stek->FldCaption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$tanam_bibit_delete->RecCnt = 0;
$i = 0;
while (!$tanam_bibit_delete->Recordset->EOF) {
	$tanam_bibit_delete->RecCnt++;
	$tanam_bibit_delete->RowCnt++;

	// Set row properties
	$tanam_bibit->ResetAttrs();
	$tanam_bibit->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$tanam_bibit_delete->LoadRowValues($tanam_bibit_delete->Recordset);

	// Render row
	$tanam_bibit_delete->RenderRow();
?>
	<tr<?php echo $tanam_bibit->RowAttributes() ?>>
<?php if ($tanam_bibit->id->Visible) { // id ?>
		<td<?php echo $tanam_bibit->id->CellAttributes() ?>>
<span id="el<?php echo $tanam_bibit_delete->RowCnt ?>_tanam_bibit_id" class="tanam_bibit_id">
<span<?php echo $tanam_bibit->id->ViewAttributes() ?>>
<?php echo $tanam_bibit->id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($tanam_bibit->tgl_tanam->Visible) { // tgl_tanam ?>
		<td<?php echo $tanam_bibit->tgl_tanam->CellAttributes() ?>>
<span id="el<?php echo $tanam_bibit_delete->RowCnt ?>_tanam_bibit_tgl_tanam" class="tanam_bibit_tgl_tanam">
<span<?php echo $tanam_bibit->tgl_tanam->ViewAttributes() ?>>
<?php echo $tanam_bibit->tgl_tanam->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($tanam_bibit->jenis_lahan->Visible) { // jenis_lahan ?>
		<td<?php echo $tanam_bibit->jenis_lahan->CellAttributes() ?>>
<span id="el<?php echo $tanam_bibit_delete->RowCnt ?>_tanam_bibit_jenis_lahan" class="tanam_bibit_jenis_lahan">
<span<?php echo $tanam_bibit->jenis_lahan->ViewAttributes() ?>>
<?php echo $tanam_bibit->jenis_lahan->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($tanam_bibit->varietas->Visible) { // varietas ?>
		<td<?php echo $tanam_bibit->varietas->CellAttributes() ?>>
<span id="el<?php echo $tanam_bibit_delete->RowCnt ?>_tanam_bibit_varietas" class="tanam_bibit_varietas">
<span<?php echo $tanam_bibit->varietas->ViewAttributes() ?>>
<?php echo $tanam_bibit->varietas->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($tanam_bibit->jumlah_tanam->Visible) { // jumlah_tanam ?>
		<td<?php echo $tanam_bibit->jumlah_tanam->CellAttributes() ?>>
<span id="el<?php echo $tanam_bibit_delete->RowCnt ?>_tanam_bibit_jumlah_tanam" class="tanam_bibit_jumlah_tanam">
<span<?php echo $tanam_bibit->jumlah_tanam->ViewAttributes() ?>>
<?php echo $tanam_bibit->jumlah_tanam->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($tanam_bibit->ket->Visible) { // ket ?>
		<td<?php echo $tanam_bibit->ket->CellAttributes() ?>>
<span id="el<?php echo $tanam_bibit_delete->RowCnt ?>_tanam_bibit_ket" class="tanam_bibit_ket">
<span<?php echo $tanam_bibit->ket->ViewAttributes() ?>>
<?php echo $tanam_bibit->ket->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($tanam_bibit->id_kontrak_tanam->Visible) { // id_kontrak_tanam ?>
		<td<?php echo $tanam_bibit->id_kontrak_tanam->CellAttributes() ?>>
<span id="el<?php echo $tanam_bibit_delete->RowCnt ?>_tanam_bibit_id_kontrak_tanam" class="tanam_bibit_id_kontrak_tanam">
<span<?php echo $tanam_bibit->id_kontrak_tanam->ViewAttributes() ?>>
<?php echo $tanam_bibit->id_kontrak_tanam->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($tanam_bibit->gen_bibit->Visible) { // gen_bibit ?>
		<td<?php echo $tanam_bibit->gen_bibit->CellAttributes() ?>>
<span id="el<?php echo $tanam_bibit_delete->RowCnt ?>_tanam_bibit_gen_bibit" class="tanam_bibit_gen_bibit">
<span<?php echo $tanam_bibit->gen_bibit->ViewAttributes() ?>>
<?php echo $tanam_bibit->gen_bibit->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($tanam_bibit->id_asal_bibit->Visible) { // id_asal_bibit ?>
		<td<?php echo $tanam_bibit->id_asal_bibit->CellAttributes() ?>>
<span id="el<?php echo $tanam_bibit_delete->RowCnt ?>_tanam_bibit_id_asal_bibit" class="tanam_bibit_id_asal_bibit">
<span<?php echo $tanam_bibit->id_asal_bibit->ViewAttributes() ?>>
<?php echo $tanam_bibit->id_asal_bibit->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($tanam_bibit->jumlah_panen_stek->Visible) { // jumlah_panen_stek ?>
		<td<?php echo $tanam_bibit->jumlah_panen_stek->CellAttributes() ?>>
<span id="el<?php echo $tanam_bibit_delete->RowCnt ?>_tanam_bibit_jumlah_panen_stek" class="tanam_bibit_jumlah_panen_stek">
<span<?php echo $tanam_bibit->jumlah_panen_stek->ViewAttributes() ?>>
<?php echo $tanam_bibit->jumlah_panen_stek->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$tanam_bibit_delete->Recordset->MoveNext();
}
$tanam_bibit_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("DeleteBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $tanam_bibit_delete->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
</div>
</form>
<script type="text/javascript">
ftanam_bibitdelete.Init();
</script>
<?php
$tanam_bibit_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tanam_bibit_delete->Page_Terminate();
?>
